using CairoMakie


# this plus fonts below in Theme make all text appear using NewComputerModern font
# taken from: https://discourse.julialang.org/t/makie-jl-latex-ticks-and-other-elements-by-default/102529/4?u=fatteneder
MT = CairoMakie.Makie.MathTeXEngine
mt_fonts_dir = joinpath(dirname(pathof(MT)), "..", "assets", "fonts", "NewComputerModern")
@show mt_fonts_dir

theme = Theme(
    # Figure=(resolution=(2000,1200)),
    Axis=(xticksize=5, xminorticksize=3,
          xtickalign=1, xminortickalign=1,
          xticksmirrored=true, xminorticksmirrored=true,
          xminorticksvisible=true,
          xminorgridvisible=true,
          yticksize=5, yminorticksize=3,
          ytickalign=1, yminortickalign=1,
          yticksmirrored=true, yminorticksmirrored=true,
          yminorticksvisible=true,
          yminorgridvisible=true,
          # xtickformat = "{:.1f}"
    ),
    Legend=(patchsize=(40.0f0,20.0f0),),
    Lines=(linewidth=2,),
    # fontsize=20,
    fonts = ( regular = joinpath(mt_fonts_dir, "NewCM10-Regular.otf"),
              bold = joinpath(mt_fonts_dir, "NewCM10-Bold.otf"),
              bold_italic = joinpath(mt_fonts_dir, "NewCM10-BoldItalic.otf"),
              italic = joinpath(mt_fonts_dir, "NewCM10-Italic.otf")
             )
)
colors = [ :red, :green, :blue, :orange, :purple, :black, :magenta, :yellow, :cyan ]
linestyles = [ nothing, :dash, :dashdot, :dashdotdot ]

set_theme!(theme)
